#!/bin/sh
# ****************************************************** {COPYRIGHT-TOP} ***
# Licensed Materials - Property of IBM
# 5724-M07, 5698-A77
#
# (C) Copyright IBM Corp. 2006 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ****************************************************** {COPYRIGHT-END} ***
find_browser() {

   TEP_DIR=bin
   ALL_SCRIPTS=`ls $TEP_DIR/*.sh`

   # search each shell script for a kjr.browser.default property
   # if found, see if it points to a browser we can execute

   for THIS_SCRIPT in $ALL_SCRIPTS; do
      BROWSER_LOC=`cat $THIS_SCRIPT | awk 'match($0,/-Dkjr.browser.default=[^ ]+/) {print substr($0,RSTART,RLENGTH)}' | cut -f2 -d=`
      if [ ! "$BROWSER_LOC" = "" ] ; then
         if [ -x "$BROWSER_LOC" ] ; then
            break
         fi
      fi
   done
}

DP_WEBGUI_PORT=9090
KD4ENV=$1
DPHOSTNAME=$2

CURRENT_DIR=`pwd`
LAUNCH_DIR="$CURRENT_DIR/candle/kd4/resources/launch"
LOGFILE="$KCJ_HOME/../../logs/kd4DPLaunch.log"

# find the browser binary 

find_browser

if [ "$BROWSER_LOC" = "" ] ; then
   echo "Browser not found" >> $LOGFILE
   KD4_RC=3
   exit $KD4_RC
fi
 
# validate input args

if [ ! "$KD4ENV" = "8" ] ; then
   CMD="$BROWSER_LOC file:///$LAUNCH_DIR/kd4ln0001e.htm"
   echo $CMD > $LOGFILE
   $CMD &
   KD4_RC=1
   exit $KD4_RC
fi
if [ "$DPHOSTNAME" = "" ] ; then
   CMD="$BROWSER_LOC file:///$LAUNCH_DIR/kd4ln0002e.htm"
   echo $CMD > $LOGFILE
   $CMD &
   KD4_RC=2
   exit $KD4_RC
fi

# launch the browser binary

CMD="$BROWSER_LOC https://$DPHOSTNAME:$DP_WEBGUI_PORT/ "
echo $CMD > $LOGFILE
$CMD &
exit 0 
